ScaffoldingGrailsPlugin (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.scaffolding
[Groovy] Class ScaffoldingGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.scaffolding.ScaffoldingGrailsPlugin

    class ScaffoldingGrailsPlugin

Handles the configuration of dynamic scaffolding in Grails.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`static java.lang.Object` | `LOG`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithApplicationContext`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `loadAfter`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `version`

Method Summary
`java.lang.Object` | `configureScaffolding(org.springframework.context.ApplicationContext appCtx, java.lang.Object app)`
`static java.lang.Object` | `configureScaffoldingController(org.springframework.context.ApplicationContext appCtx, GrailsApplication application, GrailsControllerClass controllerClass)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final java.lang.Object LOG

### dependsOn

    java.lang.Object dependsOn

### doWithApplicationContext

    java.lang.Object doWithApplicationContext

### doWithSpring

    java.lang.Object doWithSpring

### loadAfter

    java.lang.Object loadAfter

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### version

    java.lang.Object version

Method Detail

### configureScaffolding

    java.lang.Object configureScaffolding(org.springframework.context.ApplicationContext appCtx, java.lang.Object app)

### configureScaffoldingController

    static java.lang.Object configureScaffoldingController(org.springframework.context.ApplicationContext appCtx, GrailsApplication application, GrailsControllerClass controllerClass)

Groovy Documentation